/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AddRoleToDBInstanceInput } from "../types/AddRoleToDBInstanceInput";
import { AddRoleToDBInstanceOutput } from "../types/AddRoleToDBInstanceOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/AddRoleToDBInstanceInput";
export * from "../types/AddRoleToDBInstanceOutput";
export * from "../types/AddRoleToDBInstanceExceptionsUnion";
export declare class AddRoleToDBInstanceCommand implements __aws_sdk_types.Command<InputTypesUnion, AddRoleToDBInstanceInput, OutputTypesUnion, AddRoleToDBInstanceOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: AddRoleToDBInstanceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AddRoleToDBInstanceInput, AddRoleToDBInstanceOutput, _stream.Readable>;
    constructor(input: AddRoleToDBInstanceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<AddRoleToDBInstanceInput, AddRoleToDBInstanceOutput>;
}
