/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateDBClusterEndpointInput } from "../types/CreateDBClusterEndpointInput";
import { CreateDBClusterEndpointOutput } from "../types/CreateDBClusterEndpointOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/CreateDBClusterEndpointInput";
export * from "../types/CreateDBClusterEndpointOutput";
export * from "../types/CreateDBClusterEndpointExceptionsUnion";
export declare class CreateDBClusterEndpointCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateDBClusterEndpointInput, OutputTypesUnion, CreateDBClusterEndpointOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: CreateDBClusterEndpointInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateDBClusterEndpointInput, CreateDBClusterEndpointOutput, _stream.Readable>;
    constructor(input: CreateDBClusterEndpointInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<CreateDBClusterEndpointInput, CreateDBClusterEndpointOutput>;
}
