/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateDBParameterGroupInput } from "../types/CreateDBParameterGroupInput";
import { CreateDBParameterGroupOutput } from "../types/CreateDBParameterGroupOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/CreateDBParameterGroupInput";
export * from "../types/CreateDBParameterGroupOutput";
export * from "../types/CreateDBParameterGroupExceptionsUnion";
export declare class CreateDBParameterGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateDBParameterGroupInput, OutputTypesUnion, CreateDBParameterGroupOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: CreateDBParameterGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateDBParameterGroupInput, CreateDBParameterGroupOutput, _stream.Readable>;
    constructor(input: CreateDBParameterGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<CreateDBParameterGroupInput, CreateDBParameterGroupOutput>;
}
