/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteDBSecurityGroupInput } from "../types/DeleteDBSecurityGroupInput";
import { DeleteDBSecurityGroupOutput } from "../types/DeleteDBSecurityGroupOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DeleteDBSecurityGroupInput";
export * from "../types/DeleteDBSecurityGroupOutput";
export * from "../types/DeleteDBSecurityGroupExceptionsUnion";
export declare class DeleteDBSecurityGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteDBSecurityGroupInput, OutputTypesUnion, DeleteDBSecurityGroupOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteDBSecurityGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteDBSecurityGroupInput, DeleteDBSecurityGroupOutput, _stream.Readable>;
    constructor(input: DeleteDBSecurityGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DeleteDBSecurityGroupInput, DeleteDBSecurityGroupOutput>;
}
