/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeCertificatesInput } from "../types/DescribeCertificatesInput";
import { DescribeCertificatesOutput } from "../types/DescribeCertificatesOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeCertificatesInput";
export * from "../types/DescribeCertificatesOutput";
export * from "../types/DescribeCertificatesExceptionsUnion";
export declare class DescribeCertificatesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeCertificatesInput, OutputTypesUnion, DescribeCertificatesOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeCertificatesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeCertificatesInput, DescribeCertificatesOutput, _stream.Readable>;
    constructor(input: DescribeCertificatesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeCertificatesInput, DescribeCertificatesOutput>;
}
