/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeReservedDBInstancesInput } from "../types/DescribeReservedDBInstancesInput";
import { DescribeReservedDBInstancesOutput } from "../types/DescribeReservedDBInstancesOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeReservedDBInstancesInput";
export * from "../types/DescribeReservedDBInstancesOutput";
export * from "../types/DescribeReservedDBInstancesExceptionsUnion";
export declare class DescribeReservedDBInstancesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeReservedDBInstancesInput, OutputTypesUnion, DescribeReservedDBInstancesOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeReservedDBInstancesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeReservedDBInstancesInput, DescribeReservedDBInstancesOutput, _stream.Readable>;
    constructor(input: DescribeReservedDBInstancesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeReservedDBInstancesInput, DescribeReservedDBInstancesOutput>;
}
