/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyDBClusterSnapshotAttributeInput } from "../types/ModifyDBClusterSnapshotAttributeInput";
import { ModifyDBClusterSnapshotAttributeOutput } from "../types/ModifyDBClusterSnapshotAttributeOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/ModifyDBClusterSnapshotAttributeInput";
export * from "../types/ModifyDBClusterSnapshotAttributeOutput";
export * from "../types/ModifyDBClusterSnapshotAttributeExceptionsUnion";
export declare class ModifyDBClusterSnapshotAttributeCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyDBClusterSnapshotAttributeInput, OutputTypesUnion, ModifyDBClusterSnapshotAttributeOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: ModifyDBClusterSnapshotAttributeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyDBClusterSnapshotAttributeInput, ModifyDBClusterSnapshotAttributeOutput, _stream.Readable>;
    constructor(input: ModifyDBClusterSnapshotAttributeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<ModifyDBClusterSnapshotAttributeInput, ModifyDBClusterSnapshotAttributeOutput>;
}
