"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RemoveSourceIdentifierFromSubscription_1 = require("../model/operations/RemoveSourceIdentifierFromSubscription");
class RemoveSourceIdentifierFromSubscriptionCommand {
    constructor(input) {
        this.input = input;
        this.model = RemoveSourceIdentifierFromSubscription_1.RemoveSourceIdentifierFromSubscription;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RemoveSourceIdentifierFromSubscriptionCommand = RemoveSourceIdentifierFromSubscriptionCommand;
//# sourceMappingURL=RemoveSourceIdentifierFromSubscriptionCommand.js.map