"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteDBInstanceAutomatedBackupInput_1 = require("../shapes/DeleteDBInstanceAutomatedBackupInput");
const DeleteDBInstanceAutomatedBackupOutput_1 = require("../shapes/DeleteDBInstanceAutomatedBackupOutput");
const InvalidDBInstanceAutomatedBackupStateFault_1 = require("../shapes/InvalidDBInstanceAutomatedBackupStateFault");
const DBInstanceAutomatedBackupNotFoundFault_1 = require("../shapes/DBInstanceAutomatedBackupNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDBInstanceAutomatedBackup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDBInstanceAutomatedBackup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteDBInstanceAutomatedBackupInput_1.DeleteDBInstanceAutomatedBackupInput
    },
    output: {
        shape: DeleteDBInstanceAutomatedBackupOutput_1.DeleteDBInstanceAutomatedBackupOutput,
        resultWrapper: "DeleteDBInstanceAutomatedBackupResult"
    },
    errors: [
        {
            shape: InvalidDBInstanceAutomatedBackupStateFault_1.InvalidDBInstanceAutomatedBackupStateFault
        },
        {
            shape: DBInstanceAutomatedBackupNotFoundFault_1.DBInstanceAutomatedBackupNotFoundFault
        }
    ]
};
//# sourceMappingURL=DeleteDBInstanceAutomatedBackup.js.map