"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteDBParameterGroupInput_1 = require("../shapes/DeleteDBParameterGroupInput");
const DeleteDBParameterGroupOutput_1 = require("../shapes/DeleteDBParameterGroupOutput");
const InvalidDBParameterGroupStateFault_1 = require("../shapes/InvalidDBParameterGroupStateFault");
const DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDBParameterGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDBParameterGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteDBParameterGroupInput_1.DeleteDBParameterGroupInput
    },
    output: {
        shape: DeleteDBParameterGroupOutput_1.DeleteDBParameterGroupOutput
    },
    errors: [
        {
            shape: InvalidDBParameterGroupStateFault_1.InvalidDBParameterGroupStateFault
        },
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=DeleteDBParameterGroup.js.map