"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteDBSubnetGroupInput_1 = require("../shapes/DeleteDBSubnetGroupInput");
const DeleteDBSubnetGroupOutput_1 = require("../shapes/DeleteDBSubnetGroupOutput");
const InvalidDBSubnetGroupStateFault_1 = require("../shapes/InvalidDBSubnetGroupStateFault");
const InvalidDBSubnetStateFault_1 = require("../shapes/InvalidDBSubnetStateFault");
const DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDBSubnetGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDBSubnetGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteDBSubnetGroupInput_1.DeleteDBSubnetGroupInput
    },
    output: {
        shape: DeleteDBSubnetGroupOutput_1.DeleteDBSubnetGroupOutput
    },
    errors: [
        {
            shape: InvalidDBSubnetGroupStateFault_1.InvalidDBSubnetGroupStateFault
        },
        {
            shape: InvalidDBSubnetStateFault_1.InvalidDBSubnetStateFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=DeleteDBSubnetGroup.js.map