"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeDBClusterSnapshotAttributesInput_1 = require("../shapes/DescribeDBClusterSnapshotAttributesInput");
const DescribeDBClusterSnapshotAttributesOutput_1 = require("../shapes/DescribeDBClusterSnapshotAttributesOutput");
const DBClusterSnapshotNotFoundFault_1 = require("../shapes/DBClusterSnapshotNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDBClusterSnapshotAttributes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDBClusterSnapshotAttributes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDBClusterSnapshotAttributesInput_1.DescribeDBClusterSnapshotAttributesInput
    },
    output: {
        shape: DescribeDBClusterSnapshotAttributesOutput_1.DescribeDBClusterSnapshotAttributesOutput,
        resultWrapper: "DescribeDBClusterSnapshotAttributesResult"
    },
    errors: [
        {
            shape: DBClusterSnapshotNotFoundFault_1.DBClusterSnapshotNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeDBClusterSnapshotAttributes.js.map