"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeDBEngineVersionsInput_1 = require("../shapes/DescribeDBEngineVersionsInput");
const DescribeDBEngineVersionsOutput_1 = require("../shapes/DescribeDBEngineVersionsOutput");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDBEngineVersions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDBEngineVersions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDBEngineVersionsInput_1.DescribeDBEngineVersionsInput
    },
    output: {
        shape: DescribeDBEngineVersionsOutput_1.DescribeDBEngineVersionsOutput,
        resultWrapper: "DescribeDBEngineVersionsResult"
    },
    errors: []
};
//# sourceMappingURL=DescribeDBEngineVersions.js.map