"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeDBSubnetGroupsInput_1 = require("../shapes/DescribeDBSubnetGroupsInput");
const DescribeDBSubnetGroupsOutput_1 = require("../shapes/DescribeDBSubnetGroupsOutput");
const DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDBSubnetGroups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDBSubnetGroups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDBSubnetGroupsInput_1.DescribeDBSubnetGroupsInput
    },
    output: {
        shape: DescribeDBSubnetGroupsOutput_1.DescribeDBSubnetGroupsOutput,
        resultWrapper: "DescribeDBSubnetGroupsResult"
    },
    errors: [
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeDBSubnetGroups.js.map