"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _TagList_1 = require("./_TagList");
exports.CopyDBClusterParameterGroupInput = {
    type: "structure",
    required: [
        "SourceDBClusterParameterGroupIdentifier",
        "TargetDBClusterParameterGroupIdentifier",
        "TargetDBClusterParameterGroupDescription"
    ],
    members: {
        SourceDBClusterParameterGroupIdentifier: {
            shape: {
                type: "string"
            }
        },
        TargetDBClusterParameterGroupIdentifier: {
            shape: {
                type: "string"
            }
        },
        TargetDBClusterParameterGroupDescription: {
            shape: {
                type: "string"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CopyDBClusterParameterGroupInput.js.map