"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _TagList_1 = require("./_TagList");
exports.CopyDBSnapshotInput = {
    type: "structure",
    required: ["SourceDBSnapshotIdentifier", "TargetDBSnapshotIdentifier"],
    members: {
        SourceDBSnapshotIdentifier: {
            shape: {
                type: "string"
            }
        },
        TargetDBSnapshotIdentifier: {
            shape: {
                type: "string"
            }
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        },
        CopyTags: {
            shape: {
                type: "boolean"
            }
        },
        PreSignedUrl: {
            shape: {
                type: "string"
            }
        },
        OptionGroupName: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CopyDBSnapshotInput.js.map