"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _StringList_1 = require("./_StringList");
exports.CreateDBClusterEndpointInput = {
    type: "structure",
    required: [
        "DBClusterIdentifier",
        "DBClusterEndpointIdentifier",
        "EndpointType"
    ],
    members: {
        DBClusterIdentifier: {
            shape: {
                type: "string"
            }
        },
        DBClusterEndpointIdentifier: {
            shape: {
                type: "string"
            }
        },
        EndpointType: {
            shape: {
                type: "string"
            }
        },
        StaticMembers: {
            shape: _StringList_1._StringList
        },
        ExcludedMembers: {
            shape: _StringList_1._StringList
        }
    }
};
//# sourceMappingURL=CreateDBClusterEndpointInput.js.map