"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _FilterList_1 = require("./_FilterList");
exports.DescribeDBClusterSnapshotsInput = {
    type: "structure",
    required: [],
    members: {
        DBClusterIdentifier: {
            shape: {
                type: "string"
            }
        },
        DBClusterSnapshotIdentifier: {
            shape: {
                type: "string"
            }
        },
        SnapshotType: {
            shape: {
                type: "string"
            }
        },
        Filters: {
            shape: _FilterList_1._FilterList
        },
        MaxRecords: {
            shape: {
                type: "integer"
            }
        },
        Marker: {
            shape: {
                type: "string"
            }
        },
        IncludeShared: {
            shape: {
                type: "boolean"
            }
        },
        IncludePublic: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=DescribeDBClusterSnapshotsInput.js.map