"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _FilterList_1 = require("./_FilterList");
exports.DescribeDBEngineVersionsInput = {
    type: "structure",
    required: [],
    members: {
        Engine: {
            shape: {
                type: "string"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        DBParameterGroupFamily: {
            shape: {
                type: "string"
            }
        },
        Filters: {
            shape: _FilterList_1._FilterList
        },
        MaxRecords: {
            shape: {
                type: "integer"
            }
        },
        Marker: {
            shape: {
                type: "string"
            }
        },
        DefaultOnly: {
            shape: {
                type: "boolean"
            }
        },
        ListSupportedCharacterSets: {
            shape: {
                type: "boolean"
            }
        },
        ListSupportedTimezones: {
            shape: {
                type: "boolean"
            }
        },
        IncludeAll: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=DescribeDBEngineVersionsInput.js.map