"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _EventCategoriesList_1 = require("./_EventCategoriesList");
const _FilterList_1 = require("./_FilterList");
exports.DescribeEventsInput = {
    type: "structure",
    required: [],
    members: {
        SourceIdentifier: {
            shape: {
                type: "string"
            }
        },
        SourceType: {
            shape: {
                type: "string"
            }
        },
        StartTime: {
            shape: {
                type: "timestamp"
            }
        },
        EndTime: {
            shape: {
                type: "timestamp"
            }
        },
        Duration: {
            shape: {
                type: "integer"
            }
        },
        EventCategories: {
            shape: _EventCategoriesList_1._EventCategoriesList
        },
        Filters: {
            shape: _FilterList_1._FilterList
        },
        MaxRecords: {
            shape: {
                type: "integer"
            }
        },
        Marker: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DescribeEventsInput.js.map