"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _FilterList_1 = require("./_FilterList");
exports.DescribeReservedDBInstancesInput = {
    type: "structure",
    required: [],
    members: {
        ReservedDBInstanceId: {
            shape: {
                type: "string"
            }
        },
        ReservedDBInstancesOfferingId: {
            shape: {
                type: "string"
            }
        },
        DBInstanceClass: {
            shape: {
                type: "string"
            }
        },
        Duration: {
            shape: {
                type: "string"
            }
        },
        ProductDescription: {
            shape: {
                type: "string"
            }
        },
        OfferingType: {
            shape: {
                type: "string"
            }
        },
        MultiAZ: {
            shape: {
                type: "boolean"
            }
        },
        Filters: {
            shape: _FilterList_1._FilterList
        },
        MaxRecords: {
            shape: {
                type: "integer"
            }
        },
        Marker: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DescribeReservedDBInstancesInput.js.map