"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _GlobalClusterMemberList_1 = require("./_GlobalClusterMemberList");
exports._GlobalCluster = {
    type: "structure",
    required: [],
    members: {
        GlobalClusterIdentifier: {
            shape: {
                type: "string"
            }
        },
        GlobalClusterResourceId: {
            shape: {
                type: "string"
            }
        },
        GlobalClusterArn: {
            shape: {
                type: "string"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        Engine: {
            shape: {
                type: "string"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        DatabaseName: {
            shape: {
                type: "string"
            }
        },
        StorageEncrypted: {
            shape: {
                type: "boolean"
            }
        },
        DeletionProtection: {
            shape: {
                type: "boolean"
            }
        },
        GlobalClusterMembers: {
            shape: _GlobalClusterMemberList_1._GlobalClusterMemberList
        }
    }
};
//# sourceMappingURL=_GlobalCluster.js.map