import { AddRoleToDBClusterOutput } from "./AddRoleToDBClusterOutput";
import { AddRoleToDBInstanceOutput } from "./AddRoleToDBInstanceOutput";
import { AddSourceIdentifierToSubscriptionOutput } from "./AddSourceIdentifierToSubscriptionOutput";
import { AddTagsToResourceOutput } from "./AddTagsToResourceOutput";
import { ApplyPendingMaintenanceActionOutput } from "./ApplyPendingMaintenanceActionOutput";
import { AuthorizeDBSecurityGroupIngressOutput } from "./AuthorizeDBSecurityGroupIngressOutput";
import { BacktrackDBClusterOutput } from "./BacktrackDBClusterOutput";
import { CopyDBClusterParameterGroupOutput } from "./CopyDBClusterParameterGroupOutput";
import { CopyDBClusterSnapshotOutput } from "./CopyDBClusterSnapshotOutput";
import { CopyDBParameterGroupOutput } from "./CopyDBParameterGroupOutput";
import { CopyDBSnapshotOutput } from "./CopyDBSnapshotOutput";
import { CopyOptionGroupOutput } from "./CopyOptionGroupOutput";
import { CreateDBClusterOutput } from "./CreateDBClusterOutput";
import { CreateDBClusterEndpointOutput } from "./CreateDBClusterEndpointOutput";
import { CreateDBClusterParameterGroupOutput } from "./CreateDBClusterParameterGroupOutput";
import { CreateDBClusterSnapshotOutput } from "./CreateDBClusterSnapshotOutput";
import { CreateDBInstanceOutput } from "./CreateDBInstanceOutput";
import { CreateDBInstanceReadReplicaOutput } from "./CreateDBInstanceReadReplicaOutput";
import { CreateDBParameterGroupOutput } from "./CreateDBParameterGroupOutput";
import { CreateDBSecurityGroupOutput } from "./CreateDBSecurityGroupOutput";
import { CreateDBSnapshotOutput } from "./CreateDBSnapshotOutput";
import { CreateDBSubnetGroupOutput } from "./CreateDBSubnetGroupOutput";
import { CreateEventSubscriptionOutput } from "./CreateEventSubscriptionOutput";
import { CreateGlobalClusterOutput } from "./CreateGlobalClusterOutput";
import { CreateOptionGroupOutput } from "./CreateOptionGroupOutput";
import { DeleteDBClusterOutput } from "./DeleteDBClusterOutput";
import { DeleteDBClusterEndpointOutput } from "./DeleteDBClusterEndpointOutput";
import { DeleteDBClusterParameterGroupOutput } from "./DeleteDBClusterParameterGroupOutput";
import { DeleteDBClusterSnapshotOutput } from "./DeleteDBClusterSnapshotOutput";
import { DeleteDBInstanceOutput } from "./DeleteDBInstanceOutput";
import { DeleteDBInstanceAutomatedBackupOutput } from "./DeleteDBInstanceAutomatedBackupOutput";
import { DeleteDBParameterGroupOutput } from "./DeleteDBParameterGroupOutput";
import { DeleteDBSecurityGroupOutput } from "./DeleteDBSecurityGroupOutput";
import { DeleteDBSnapshotOutput } from "./DeleteDBSnapshotOutput";
import { DeleteDBSubnetGroupOutput } from "./DeleteDBSubnetGroupOutput";
import { DeleteEventSubscriptionOutput } from "./DeleteEventSubscriptionOutput";
import { DeleteGlobalClusterOutput } from "./DeleteGlobalClusterOutput";
import { DeleteOptionGroupOutput } from "./DeleteOptionGroupOutput";
import { DescribeAccountAttributesOutput } from "./DescribeAccountAttributesOutput";
import { DescribeCertificatesOutput } from "./DescribeCertificatesOutput";
import { DescribeDBClusterBacktracksOutput } from "./DescribeDBClusterBacktracksOutput";
import { DescribeDBClusterEndpointsOutput } from "./DescribeDBClusterEndpointsOutput";
import { DescribeDBClusterParameterGroupsOutput } from "./DescribeDBClusterParameterGroupsOutput";
import { DescribeDBClusterParametersOutput } from "./DescribeDBClusterParametersOutput";
import { DescribeDBClusterSnapshotAttributesOutput } from "./DescribeDBClusterSnapshotAttributesOutput";
import { DescribeDBClusterSnapshotsOutput } from "./DescribeDBClusterSnapshotsOutput";
import { DescribeDBClustersOutput } from "./DescribeDBClustersOutput";
import { DescribeDBEngineVersionsOutput } from "./DescribeDBEngineVersionsOutput";
import { DescribeDBInstanceAutomatedBackupsOutput } from "./DescribeDBInstanceAutomatedBackupsOutput";
import { DescribeDBInstancesOutput } from "./DescribeDBInstancesOutput";
import { DescribeDBLogFilesOutput } from "./DescribeDBLogFilesOutput";
import { DescribeDBParameterGroupsOutput } from "./DescribeDBParameterGroupsOutput";
import { DescribeDBParametersOutput } from "./DescribeDBParametersOutput";
import { DescribeDBSecurityGroupsOutput } from "./DescribeDBSecurityGroupsOutput";
import { DescribeDBSnapshotAttributesOutput } from "./DescribeDBSnapshotAttributesOutput";
import { DescribeDBSnapshotsOutput } from "./DescribeDBSnapshotsOutput";
import { DescribeDBSubnetGroupsOutput } from "./DescribeDBSubnetGroupsOutput";
import { DescribeEngineDefaultClusterParametersOutput } from "./DescribeEngineDefaultClusterParametersOutput";
import { DescribeEngineDefaultParametersOutput } from "./DescribeEngineDefaultParametersOutput";
import { DescribeEventCategoriesOutput } from "./DescribeEventCategoriesOutput";
import { DescribeEventSubscriptionsOutput } from "./DescribeEventSubscriptionsOutput";
import { DescribeEventsOutput } from "./DescribeEventsOutput";
import { DescribeGlobalClustersOutput } from "./DescribeGlobalClustersOutput";
import { DescribeOptionGroupOptionsOutput } from "./DescribeOptionGroupOptionsOutput";
import { DescribeOptionGroupsOutput } from "./DescribeOptionGroupsOutput";
import { DescribeOrderableDBInstanceOptionsOutput } from "./DescribeOrderableDBInstanceOptionsOutput";
import { DescribePendingMaintenanceActionsOutput } from "./DescribePendingMaintenanceActionsOutput";
import { DescribeReservedDBInstancesOutput } from "./DescribeReservedDBInstancesOutput";
import { DescribeReservedDBInstancesOfferingsOutput } from "./DescribeReservedDBInstancesOfferingsOutput";
import { DescribeSourceRegionsOutput } from "./DescribeSourceRegionsOutput";
import { DescribeValidDBInstanceModificationsOutput } from "./DescribeValidDBInstanceModificationsOutput";
import { DownloadDBLogFilePortionOutput } from "./DownloadDBLogFilePortionOutput";
import { FailoverDBClusterOutput } from "./FailoverDBClusterOutput";
import { ListTagsForResourceOutput } from "./ListTagsForResourceOutput";
import { ModifyCurrentDBClusterCapacityOutput } from "./ModifyCurrentDBClusterCapacityOutput";
import { ModifyDBClusterOutput } from "./ModifyDBClusterOutput";
import { ModifyDBClusterEndpointOutput } from "./ModifyDBClusterEndpointOutput";
import { ModifyDBClusterParameterGroupOutput } from "./ModifyDBClusterParameterGroupOutput";
import { ModifyDBClusterSnapshotAttributeOutput } from "./ModifyDBClusterSnapshotAttributeOutput";
import { ModifyDBInstanceOutput } from "./ModifyDBInstanceOutput";
import { ModifyDBParameterGroupOutput } from "./ModifyDBParameterGroupOutput";
import { ModifyDBSnapshotOutput } from "./ModifyDBSnapshotOutput";
import { ModifyDBSnapshotAttributeOutput } from "./ModifyDBSnapshotAttributeOutput";
import { ModifyDBSubnetGroupOutput } from "./ModifyDBSubnetGroupOutput";
import { ModifyEventSubscriptionOutput } from "./ModifyEventSubscriptionOutput";
import { ModifyGlobalClusterOutput } from "./ModifyGlobalClusterOutput";
import { ModifyOptionGroupOutput } from "./ModifyOptionGroupOutput";
import { PromoteReadReplicaOutput } from "./PromoteReadReplicaOutput";
import { PromoteReadReplicaDBClusterOutput } from "./PromoteReadReplicaDBClusterOutput";
import { PurchaseReservedDBInstancesOfferingOutput } from "./PurchaseReservedDBInstancesOfferingOutput";
import { RebootDBInstanceOutput } from "./RebootDBInstanceOutput";
import { RemoveFromGlobalClusterOutput } from "./RemoveFromGlobalClusterOutput";
import { RemoveRoleFromDBClusterOutput } from "./RemoveRoleFromDBClusterOutput";
import { RemoveRoleFromDBInstanceOutput } from "./RemoveRoleFromDBInstanceOutput";
import { RemoveSourceIdentifierFromSubscriptionOutput } from "./RemoveSourceIdentifierFromSubscriptionOutput";
import { RemoveTagsFromResourceOutput } from "./RemoveTagsFromResourceOutput";
import { ResetDBClusterParameterGroupOutput } from "./ResetDBClusterParameterGroupOutput";
import { ResetDBParameterGroupOutput } from "./ResetDBParameterGroupOutput";
import { RestoreDBClusterFromS3Output } from "./RestoreDBClusterFromS3Output";
import { RestoreDBClusterFromSnapshotOutput } from "./RestoreDBClusterFromSnapshotOutput";
import { RestoreDBClusterToPointInTimeOutput } from "./RestoreDBClusterToPointInTimeOutput";
import { RestoreDBInstanceFromDBSnapshotOutput } from "./RestoreDBInstanceFromDBSnapshotOutput";
import { RestoreDBInstanceFromS3Output } from "./RestoreDBInstanceFromS3Output";
import { RestoreDBInstanceToPointInTimeOutput } from "./RestoreDBInstanceToPointInTimeOutput";
import { RevokeDBSecurityGroupIngressOutput } from "./RevokeDBSecurityGroupIngressOutput";
import { StartActivityStreamOutput } from "./StartActivityStreamOutput";
import { StartDBClusterOutput } from "./StartDBClusterOutput";
import { StartDBInstanceOutput } from "./StartDBInstanceOutput";
import { StopActivityStreamOutput } from "./StopActivityStreamOutput";
import { StopDBClusterOutput } from "./StopDBClusterOutput";
import { StopDBInstanceOutput } from "./StopDBInstanceOutput";
export declare type OutputTypesUnion = AddRoleToDBClusterOutput | AddRoleToDBInstanceOutput | AddSourceIdentifierToSubscriptionOutput | AddTagsToResourceOutput | ApplyPendingMaintenanceActionOutput | AuthorizeDBSecurityGroupIngressOutput | BacktrackDBClusterOutput | CopyDBClusterParameterGroupOutput | CopyDBClusterSnapshotOutput | CopyDBParameterGroupOutput | CopyDBSnapshotOutput | CopyOptionGroupOutput | CreateDBClusterOutput | CreateDBClusterEndpointOutput | CreateDBClusterParameterGroupOutput | CreateDBClusterSnapshotOutput | CreateDBInstanceOutput | CreateDBInstanceReadReplicaOutput | CreateDBParameterGroupOutput | CreateDBSecurityGroupOutput | CreateDBSnapshotOutput | CreateDBSubnetGroupOutput | CreateEventSubscriptionOutput | CreateGlobalClusterOutput | CreateOptionGroupOutput | DeleteDBClusterOutput | DeleteDBClusterEndpointOutput | DeleteDBClusterParameterGroupOutput | DeleteDBClusterSnapshotOutput | DeleteDBInstanceOutput | DeleteDBInstanceAutomatedBackupOutput | DeleteDBParameterGroupOutput | DeleteDBSecurityGroupOutput | DeleteDBSnapshotOutput | DeleteDBSubnetGroupOutput | DeleteEventSubscriptionOutput | DeleteGlobalClusterOutput | DeleteOptionGroupOutput | DescribeAccountAttributesOutput | DescribeCertificatesOutput | DescribeDBClusterBacktracksOutput | DescribeDBClusterEndpointsOutput | DescribeDBClusterParameterGroupsOutput | DescribeDBClusterParametersOutput | DescribeDBClusterSnapshotAttributesOutput | DescribeDBClusterSnapshotsOutput | DescribeDBClustersOutput | DescribeDBEngineVersionsOutput | DescribeDBInstanceAutomatedBackupsOutput | DescribeDBInstancesOutput | DescribeDBLogFilesOutput | DescribeDBParameterGroupsOutput | DescribeDBParametersOutput | DescribeDBSecurityGroupsOutput | DescribeDBSnapshotAttributesOutput | DescribeDBSnapshotsOutput | DescribeDBSubnetGroupsOutput | DescribeEngineDefaultClusterParametersOutput | DescribeEngineDefaultParametersOutput | DescribeEventCategoriesOutput | DescribeEventSubscriptionsOutput | DescribeEventsOutput | DescribeGlobalClustersOutput | DescribeOptionGroupOptionsOutput | DescribeOptionGroupsOutput | DescribeOrderableDBInstanceOptionsOutput | DescribePendingMaintenanceActionsOutput | DescribeReservedDBInstancesOutput | DescribeReservedDBInstancesOfferingsOutput | DescribeSourceRegionsOutput | DescribeValidDBInstanceModificationsOutput | DownloadDBLogFilePortionOutput | FailoverDBClusterOutput | ListTagsForResourceOutput | ModifyCurrentDBClusterCapacityOutput | ModifyDBClusterOutput | ModifyDBClusterEndpointOutput | ModifyDBClusterParameterGroupOutput | ModifyDBClusterSnapshotAttributeOutput | ModifyDBInstanceOutput | ModifyDBParameterGroupOutput | ModifyDBSnapshotOutput | ModifyDBSnapshotAttributeOutput | ModifyDBSubnetGroupOutput | ModifyEventSubscriptionOutput | ModifyGlobalClusterOutput | ModifyOptionGroupOutput | PromoteReadReplicaOutput | PromoteReadReplicaDBClusterOutput | PurchaseReservedDBInstancesOfferingOutput | RebootDBInstanceOutput | RemoveFromGlobalClusterOutput | RemoveRoleFromDBClusterOutput | RemoveRoleFromDBInstanceOutput | RemoveSourceIdentifierFromSubscriptionOutput | RemoveTagsFromResourceOutput | ResetDBClusterParameterGroupOutput | ResetDBParameterGroupOutput | RestoreDBClusterFromS3Output | RestoreDBClusterFromSnapshotOutput | RestoreDBClusterToPointInTimeOutput | RestoreDBInstanceFromDBSnapshotOutput | RestoreDBInstanceFromS3Output | RestoreDBInstanceToPointInTimeOutput | RevokeDBSecurityGroupIngressOutput | StartActivityStreamOutput | StartDBClusterOutput | StartDBInstanceOutput | StopActivityStreamOutput | StopDBClusterOutput | StopDBInstanceOutput;
