/**
 * <p>This data type is used as a response element to <code>DescribeDBLogFiles</code>.</p>
 */
export interface _DescribeDBLogFilesDetails {
    /**
     * <p>The name of the log file for the specified DB instance.</p>
     */
    LogFileName?: string;
    /**
     * <p>A POSIX timestamp when the last log entry was written.</p>
     */
    LastWritten?: number;
    /**
     * <p>The size, in bytes, of the log file for the specified DB instance.</p>
     */
    Size?: number;
}
export declare type _UnmarshalledDescribeDBLogFilesDetails = _DescribeDBLogFilesDetails;
