/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteDBClusterSnapshotInput } from "../types/DeleteDBClusterSnapshotInput";
import { DeleteDBClusterSnapshotOutput } from "../types/DeleteDBClusterSnapshotOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DeleteDBClusterSnapshotInput";
export * from "../types/DeleteDBClusterSnapshotOutput";
export * from "../types/DeleteDBClusterSnapshotExceptionsUnion";
export declare class DeleteDBClusterSnapshotCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteDBClusterSnapshotInput, OutputTypesUnion, DeleteDBClusterSnapshotOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteDBClusterSnapshotInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteDBClusterSnapshotInput, DeleteDBClusterSnapshotOutput, _stream.Readable>;
    constructor(input: DeleteDBClusterSnapshotInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DeleteDBClusterSnapshotInput, DeleteDBClusterSnapshotOutput>;
}
