/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDBClusterParameterGroupsInput } from "../types/DescribeDBClusterParameterGroupsInput";
import { DescribeDBClusterParameterGroupsOutput } from "../types/DescribeDBClusterParameterGroupsOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeDBClusterParameterGroupsInput";
export * from "../types/DescribeDBClusterParameterGroupsOutput";
export * from "../types/DescribeDBClusterParameterGroupsExceptionsUnion";
export declare class DescribeDBClusterParameterGroupsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDBClusterParameterGroupsInput, OutputTypesUnion, DescribeDBClusterParameterGroupsOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeDBClusterParameterGroupsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDBClusterParameterGroupsInput, DescribeDBClusterParameterGroupsOutput, _stream.Readable>;
    constructor(input: DescribeDBClusterParameterGroupsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeDBClusterParameterGroupsInput, DescribeDBClusterParameterGroupsOutput>;
}
