/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDBInstancesInput } from "../types/DescribeDBInstancesInput";
import { DescribeDBInstancesOutput } from "../types/DescribeDBInstancesOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeDBInstancesInput";
export * from "../types/DescribeDBInstancesOutput";
export * from "../types/DescribeDBInstancesExceptionsUnion";
export declare class DescribeDBInstancesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDBInstancesInput, OutputTypesUnion, DescribeDBInstancesOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeDBInstancesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDBInstancesInput, DescribeDBInstancesOutput, _stream.Readable>;
    constructor(input: DescribeDBInstancesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeDBInstancesInput, DescribeDBInstancesOutput>;
}
