/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeOrderableDBInstanceOptionsInput } from "../types/DescribeOrderableDBInstanceOptionsInput";
import { DescribeOrderableDBInstanceOptionsOutput } from "../types/DescribeOrderableDBInstanceOptionsOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeOrderableDBInstanceOptionsInput";
export * from "../types/DescribeOrderableDBInstanceOptionsOutput";
export * from "../types/DescribeOrderableDBInstanceOptionsExceptionsUnion";
export declare class DescribeOrderableDBInstanceOptionsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeOrderableDBInstanceOptionsInput, OutputTypesUnion, DescribeOrderableDBInstanceOptionsOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeOrderableDBInstanceOptionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeOrderableDBInstanceOptionsInput, DescribeOrderableDBInstanceOptionsOutput, _stream.Readable>;
    constructor(input: DescribeOrderableDBInstanceOptionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeOrderableDBInstanceOptionsInput, DescribeOrderableDBInstanceOptionsOutput>;
}
