/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeValidDBInstanceModificationsInput } from "../types/DescribeValidDBInstanceModificationsInput";
import { DescribeValidDBInstanceModificationsOutput } from "../types/DescribeValidDBInstanceModificationsOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeValidDBInstanceModificationsInput";
export * from "../types/DescribeValidDBInstanceModificationsOutput";
export * from "../types/DescribeValidDBInstanceModificationsExceptionsUnion";
export declare class DescribeValidDBInstanceModificationsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeValidDBInstanceModificationsInput, OutputTypesUnion, DescribeValidDBInstanceModificationsOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeValidDBInstanceModificationsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeValidDBInstanceModificationsInput, DescribeValidDBInstanceModificationsOutput, _stream.Readable>;
    constructor(input: DescribeValidDBInstanceModificationsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeValidDBInstanceModificationsInput, DescribeValidDBInstanceModificationsOutput>;
}
