/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DownloadDBLogFilePortionInput } from "../types/DownloadDBLogFilePortionInput";
import { DownloadDBLogFilePortionOutput } from "../types/DownloadDBLogFilePortionOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DownloadDBLogFilePortionInput";
export * from "../types/DownloadDBLogFilePortionOutput";
export * from "../types/DownloadDBLogFilePortionExceptionsUnion";
export declare class DownloadDBLogFilePortionCommand implements __aws_sdk_types.Command<InputTypesUnion, DownloadDBLogFilePortionInput, OutputTypesUnion, DownloadDBLogFilePortionOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DownloadDBLogFilePortionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DownloadDBLogFilePortionInput, DownloadDBLogFilePortionOutput, _stream.Readable>;
    constructor(input: DownloadDBLogFilePortionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DownloadDBLogFilePortionInput, DownloadDBLogFilePortionOutput>;
}
