/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ResetDBClusterParameterGroupInput } from "../types/ResetDBClusterParameterGroupInput";
import { ResetDBClusterParameterGroupOutput } from "../types/ResetDBClusterParameterGroupOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/ResetDBClusterParameterGroupInput";
export * from "../types/ResetDBClusterParameterGroupOutput";
export * from "../types/ResetDBClusterParameterGroupExceptionsUnion";
export declare class ResetDBClusterParameterGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, ResetDBClusterParameterGroupInput, OutputTypesUnion, ResetDBClusterParameterGroupOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: ResetDBClusterParameterGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ResetDBClusterParameterGroupInput, ResetDBClusterParameterGroupOutput, _stream.Readable>;
    constructor(input: ResetDBClusterParameterGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<ResetDBClusterParameterGroupInput, ResetDBClusterParameterGroupOutput>;
}
