/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RestoreDBClusterToPointInTimeInput } from "../types/RestoreDBClusterToPointInTimeInput";
import { RestoreDBClusterToPointInTimeOutput } from "../types/RestoreDBClusterToPointInTimeOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/RestoreDBClusterToPointInTimeInput";
export * from "../types/RestoreDBClusterToPointInTimeOutput";
export * from "../types/RestoreDBClusterToPointInTimeExceptionsUnion";
export declare class RestoreDBClusterToPointInTimeCommand implements __aws_sdk_types.Command<InputTypesUnion, RestoreDBClusterToPointInTimeInput, OutputTypesUnion, RestoreDBClusterToPointInTimeOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: RestoreDBClusterToPointInTimeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RestoreDBClusterToPointInTimeInput, RestoreDBClusterToPointInTimeOutput, _stream.Readable>;
    constructor(input: RestoreDBClusterToPointInTimeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<RestoreDBClusterToPointInTimeInput, RestoreDBClusterToPointInTimeOutput>;
}
