"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AddTagsToResourceInput_1 = require("../shapes/AddTagsToResourceInput");
const AddTagsToResourceOutput_1 = require("../shapes/AddTagsToResourceOutput");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const DBSnapshotNotFoundFault_1 = require("../shapes/DBSnapshotNotFoundFault");
const DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddTagsToResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddTagsToResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AddTagsToResourceInput_1.AddTagsToResourceInput
    },
    output: {
        shape: AddTagsToResourceOutput_1.AddTagsToResourceOutput
    },
    errors: [
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: DBSnapshotNotFoundFault_1.DBSnapshotNotFoundFault
        },
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        }
    ]
};
//# sourceMappingURL=AddTagsToResource.js.map