"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeDBParameterGroupsInput_1 = require("../shapes/DescribeDBParameterGroupsInput");
const DescribeDBParameterGroupsOutput_1 = require("../shapes/DescribeDBParameterGroupsOutput");
const DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDBParameterGroups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDBParameterGroups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDBParameterGroupsInput_1.DescribeDBParameterGroupsInput
    },
    output: {
        shape: DescribeDBParameterGroupsOutput_1.DescribeDBParameterGroupsOutput,
        resultWrapper: "DescribeDBParameterGroupsResult"
    },
    errors: [
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeDBParameterGroups.js.map