"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeDBParametersInput_1 = require("../shapes/DescribeDBParametersInput");
const DescribeDBParametersOutput_1 = require("../shapes/DescribeDBParametersOutput");
const DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDBParameters = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDBParameters",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDBParametersInput_1.DescribeDBParametersInput
    },
    output: {
        shape: DescribeDBParametersOutput_1.DescribeDBParametersOutput,
        resultWrapper: "DescribeDBParametersResult"
    },
    errors: [
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeDBParameters.js.map