"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeDBSnapshotsInput_1 = require("../shapes/DescribeDBSnapshotsInput");
const DescribeDBSnapshotsOutput_1 = require("../shapes/DescribeDBSnapshotsOutput");
const DBSnapshotNotFoundFault_1 = require("../shapes/DBSnapshotNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDBSnapshots = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDBSnapshots",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDBSnapshotsInput_1.DescribeDBSnapshotsInput
    },
    output: {
        shape: DescribeDBSnapshotsOutput_1.DescribeDBSnapshotsOutput,
        resultWrapper: "DescribeDBSnapshotsResult"
    },
    errors: [
        {
            shape: DBSnapshotNotFoundFault_1.DBSnapshotNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeDBSnapshots.js.map