"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _TagList_1 = require("./_TagList");
exports.CreateOptionGroupInput = {
    type: "structure",
    required: [
        "OptionGroupName",
        "EngineName",
        "MajorEngineVersion",
        "OptionGroupDescription"
    ],
    members: {
        OptionGroupName: {
            shape: {
                type: "string"
            }
        },
        EngineName: {
            shape: {
                type: "string"
            }
        },
        MajorEngineVersion: {
            shape: {
                type: "string"
            }
        },
        OptionGroupDescription: {
            shape: {
                type: "string"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CreateOptionGroupInput.js.map