"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _VpcSecurityGroupIdList_1 = require("./_VpcSecurityGroupIdList");
const _CloudwatchLogsExportConfiguration_1 = require("./_CloudwatchLogsExportConfiguration");
const _ScalingConfiguration_1 = require("./_ScalingConfiguration");
exports.ModifyDBClusterInput = {
    type: "structure",
    required: ["DBClusterIdentifier"],
    members: {
        DBClusterIdentifier: {
            shape: {
                type: "string"
            }
        },
        NewDBClusterIdentifier: {
            shape: {
                type: "string"
            }
        },
        ApplyImmediately: {
            shape: {
                type: "boolean"
            }
        },
        BackupRetentionPeriod: {
            shape: {
                type: "integer"
            }
        },
        DBClusterParameterGroupName: {
            shape: {
                type: "string"
            }
        },
        VpcSecurityGroupIds: {
            shape: _VpcSecurityGroupIdList_1._VpcSecurityGroupIdList
        },
        Port: {
            shape: {
                type: "integer"
            }
        },
        MasterUserPassword: {
            shape: {
                type: "string"
            }
        },
        OptionGroupName: {
            shape: {
                type: "string"
            }
        },
        PreferredBackupWindow: {
            shape: {
                type: "string"
            }
        },
        PreferredMaintenanceWindow: {
            shape: {
                type: "string"
            }
        },
        EnableIAMDatabaseAuthentication: {
            shape: {
                type: "boolean"
            }
        },
        BacktrackWindow: {
            shape: {
                type: "integer"
            }
        },
        CloudwatchLogsExportConfiguration: {
            shape: _CloudwatchLogsExportConfiguration_1._CloudwatchLogsExportConfiguration
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        AllowMajorVersionUpgrade: {
            shape: {
                type: "boolean"
            }
        },
        DBInstanceParameterGroupName: {
            shape: {
                type: "string"
            }
        },
        ScalingConfiguration: {
            shape: _ScalingConfiguration_1._ScalingConfiguration
        },
        DeletionProtection: {
            shape: {
                type: "boolean"
            }
        },
        EnableHttpEndpoint: {
            shape: {
                type: "boolean"
            }
        },
        CopyTagsToSnapshot: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=ModifyDBClusterInput.js.map