"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _AvailabilityZoneList_1 = require("./_AvailabilityZoneList");
const _AvailableProcessorFeatureList_1 = require("./_AvailableProcessorFeatureList");
const _EngineModeList_1 = require("./_EngineModeList");
exports._OrderableDBInstanceOption = {
    type: "structure",
    required: [],
    members: {
        Engine: {
            shape: {
                type: "string"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        DBInstanceClass: {
            shape: {
                type: "string"
            }
        },
        LicenseModel: {
            shape: {
                type: "string"
            }
        },
        AvailabilityZones: {
            shape: _AvailabilityZoneList_1._AvailabilityZoneList
        },
        MultiAZCapable: {
            shape: {
                type: "boolean"
            }
        },
        ReadReplicaCapable: {
            shape: {
                type: "boolean"
            }
        },
        Vpc: {
            shape: {
                type: "boolean"
            }
        },
        SupportsStorageEncryption: {
            shape: {
                type: "boolean"
            }
        },
        StorageType: {
            shape: {
                type: "string"
            }
        },
        SupportsIops: {
            shape: {
                type: "boolean"
            }
        },
        SupportsEnhancedMonitoring: {
            shape: {
                type: "boolean"
            }
        },
        SupportsIAMDatabaseAuthentication: {
            shape: {
                type: "boolean"
            }
        },
        SupportsPerformanceInsights: {
            shape: {
                type: "boolean"
            }
        },
        MinStorageSize: {
            shape: {
                type: "integer"
            }
        },
        MaxStorageSize: {
            shape: {
                type: "integer"
            }
        },
        MinIopsPerDbInstance: {
            shape: {
                type: "integer"
            }
        },
        MaxIopsPerDbInstance: {
            shape: {
                type: "integer"
            }
        },
        MinIopsPerGib: {
            shape: {
                type: "float"
            }
        },
        MaxIopsPerGib: {
            shape: {
                type: "float"
            }
        },
        AvailableProcessorFeatures: {
            shape: _AvailableProcessorFeatureList_1._AvailableProcessorFeatureList
        },
        SupportedEngineModes: {
            shape: _EngineModeList_1._EngineModeList
        },
        SupportsStorageAutoscaling: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=_OrderableDBInstanceOption.js.map