/**
 * <p>A time zone associated with a <code>DBInstance</code> or a <code>DBSnapshot</code>. This data type is an element in the response to the <code>DescribeDBInstances</code>, the <code>DescribeDBSnapshots</code>, and the <code>DescribeDBEngineVersions</code> actions. </p>
 */
export interface _Timezone {
    /**
     * <p>The name of the time zone.</p>
     */
    TimezoneName?: string;
}
export declare type _UnmarshalledTimezone = _Timezone;
